Source: scikit-build
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Build-Depends: cmake,
               cython3,
               debhelper-compat (= 13),
               dh-sequence-python3,
               git <!nocheck>,
               pybuild-plugin-pyproject,
               python3-all,
               python3-all-dev <!nocheck>,
               python3-distro,
               python3-hatch-fancy-pypi-readme,
               python3-hatch-vcs,
               python3-hatchling,
               python3-pip <!nocheck>,
               python3-pytest (>= 4.5.0) <!nocheck>,
               python3-pytest-mock <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-sphinx (>> 1.8.5),
               python3-sphinx-issues,
               python3-sphinx-rtd-theme,
               python3-virtualenv <!nocheck>,
               python3-wheel,
Standards-Version: 4.6.2
Homepage: https://scikit-build.readthedocs.io/en/latest/
Vcs-Git: https://salsa.debian.org/python-team/packages/scikit-build.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/scikit-build
Rules-Requires-Root: no

Package: python3-skbuild
Architecture: all
Depends: cmake,
         python3-distro,
         python3-setuptools,
         ${misc:Depends},
         ${python3:Depends},
Suggests: python-skbuild-doc,
Description: improved build system generator for Python C/C++/Fortran/Cython extensions
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 The scikit-build package is fundamentally just glue between the setuptools
 Python module and CMake.
 .
 This is Python 3 module.

Package: python-skbuild-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: skbuild (documentation)
 Better support is available for additional compilers, build systems, cross
 compilation, and locating dependencies and determining their build
 requirements.
 .
 This package contains documentation.
